using Inspectron.Settings;
using LindtLeerformPlugin.Models;
using Ninject;
using VisionBuilder.UI.Common;
using VisionBuilder.UI.Common.Plugins;

namespace LindtLeerformPlugin;

public class Plugin : IPlugin
{
    public void RegisterGlobalModules(IKernel kernel)
    {
        TypeConverterRegistry.Register<CalibrationData>(new CalibrationDataConverter());
    }

    public void RegisterCameraModules(IKernel kernel, string cameraName)
    {
        kernel.Bind<LeerformSettings, ISettings>().ToConstant(new LeerformSettings(cameraName));
        kernel.RegisterModule<LeerformModule>();
    }
}
